From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/libvisual-plugins/
Date: Tue, 6 Dec 2022 00:17:08 +0000 (UTC) [thread overview]
Message-ID: <1670285748.b0ec1ed1cd039b7833070ceaae8fc227d5a3a26d.sping@gentoo> (raw)
commit: b0ec1ed1cd039b7833070ceaae8fc227d5a3a26d
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 6 00:09:40 2022 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Tue Dec 6 00:15:48 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0ec1ed1
media-plugins/libvisual-plugins: 0.4.1 + EAPI 8
Closes: https://bugs.gentoo.org/840514
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
media-plugins/libvisual-plugins/Manifest | 1 +
.../libvisual-plugins-0.4.1.ebuild | 55 ++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/media-plugins/libvisual-plugins/Manifest b/media-plugins/libvisual-plugins/Manifest
index 906151ae5bc9..610e4abe4b56 100644
--- a/media-plugins/libvisual-plugins/Manifest
+++ b/media-plugins/libvisual-plugins/Manifest
@@ -1,3 +1,4 @@
DIST libvisual-plugins-0.4.0-m4-1.tar.bz2 1872 BLAKE2B 438fa805e4dccde1f446d3e78e6d3578bbf8ada8ab664bc6e408be1a32edacdf4cb587c213300022cece442c63e88258f2d189d0b35dec9ac1a9b8de826a84db SHA512 6522491f0797d0d442e1839fcfad985fcdba4a6d43ec94eb6edf13cea09a0b187b1e7c09b0c3b2f7b8f22d9b41f9cfb1f5b3559fed00b9dc3935fdf37bf7c08a
DIST libvisual-plugins-0.4.0-patches-4.tar.bz2 10814 BLAKE2B 75e1df7ebbd7455475a9035fe5fd1249117728c74e27ff17407ae9b941bc2e4bfe3cf890ed72bb389a8be27906b7b2ec2dce61403fde8831c127198d663b3666 SHA512 e6c20ebad338c300e1c049d33241daab3d6cd25a73be3402aedb13bb3cf6a84112e074fc2d57f9a7a158d12addd0d320a94d1690ed789f3a90e9cb14cfb966d2
DIST libvisual-plugins-0.4.0.tar.gz 828631 BLAKE2B a3afdb65b5da4cd19d9793fe8da3b14e99df77e21fb888b9f26b9c60af6b71e331b7250029144cb56281e77d2b579ce45d2be1445cab96bc8dc99dbd40794275 SHA512 f8666b548bc04e8b9ab69a37bdd5483080c820115903aabaa629bb0bd0fa8424969ee596e6e66bb90d8e62d6e14513fd57f85c1b5e7e074792cfa94638134901
+DIST libvisual-plugins-0.4.1.tar.bz2 687994 BLAKE2B 5899580c3b4f5959a5105b79565bd69d87973a38c3d860fb480d88a29846d3017b207ec318ffbd4a2e47382207ccd04cb043a99b68e76f0690cf77fa270e8722 SHA512 db80b081615e129d4bea34c7d99af1978bd1b569f4a1f17cfbbe3cadafc954085552c5944198f9c86f43aa367460d3ca5b4e4ea2aacee4f78dce9ff802a80663
diff --git a/media-plugins/libvisual-plugins/libvisual-plugins-0.4.1.ebuild b/media-plugins/libvisual-plugins/libvisual-plugins-0.4.1.ebuild
new file mode 100644
index 000000000000..6a1bd7e7496e
--- /dev/null
+++ b/media-plugins/libvisual-plugins/libvisual-plugins-0.4.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit multilib-minimal
+
+DESCRIPTION="collection of visualization plugins for use with the libvisual framework"
+HOMEPAGE="http://libvisual.org/"
+SRC_URI="https://github.com/Libvisual/libvisual/releases/download/${P}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0.4"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="alsa debug gtk jack mplayer opengl"
+
+RDEPEND=">=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}]
+ ~media-libs/libvisual-${PV}[${MULTILIB_USEDEP}]
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXrender-0.9.8[${MULTILIB_USEDEP}]
+ alsa? ( >=media-libs/alsa-lib-1.0.27.2[${MULTILIB_USEDEP}] )
+ gtk? ( >=x11-libs/gtk+-2.24.23:2[${MULTILIB_USEDEP}] )
+ jack? ( virtual/jack[${MULTILIB_USEDEP}] )
+ opengl? (
+ >=virtual/glu-9.0-r1[${MULTILIB_USEDEP}]
+ >=virtual/opengl-7.0-r1[${MULTILIB_USEDEP}]
+ )"
+BDEPEND=">=virtual/pkgconfig-0-r1"
+
+DEPEND="${RDEPEND}
+ >=x11-libs/libXt-1.1.4[${MULTILIB_USEDEP}]"
+
+DOCS=( AUTHORS ChangeLog NEWS README TODO )
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} \
+ econf \
+ --disable-esd \
+ $(use_enable jack) \
+ $(use_enable gtk gdkpixbuf-plugin) \
+ --disable-gstreamer-plugin \
+ $(use_enable alsa) \
+ $(use_enable mplayer) \
+ $(use_enable debug inputdebug) \
+ $(use_enable opengl gltest) \
+ $(use_enable opengl nastyfft) \
+ $(use_enable opengl madspin) \
+ $(use_enable opengl flower) \
+ $(use_enable debug)
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${D}" -name "*.la" -delete || die
+}
next reply other threads:[~2022-12-06 0:17 UTC|newest]
Thread overview: 38+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-12-06 0:17 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-11 18:37 [gentoo-commits] repo/gentoo:master commit in: media-plugins/libvisual-plugins/ Andreas Sturmlechner
2024-09-02 1:27 Eli Schwartz
2024-09-02 1:27 Eli Schwartz
2023-11-30 2:08 Sam James
2023-08-11 19:05 Arthur Zamarin
2023-08-04 23:15 Sam James
2023-08-03 15:10 Sam James
2023-07-26 7:22 Sam James
2023-07-26 7:11 Sam James
2023-06-25 23:06 Sebastian Pipping
2023-04-29 8:48 Sam James
2023-04-19 9:43 Sam James
2023-04-19 9:11 Arthur Zamarin
2023-04-19 8:00 Arthur Zamarin
2023-04-19 8:00 Arthur Zamarin
2023-04-19 8:00 Arthur Zamarin
2023-03-20 3:58 Sebastian Pipping
2023-01-22 19:04 Sam James
2023-01-22 19:04 Sam James
2023-01-22 17:52 Arthur Zamarin
2023-01-22 17:52 Arthur Zamarin
2023-01-22 17:52 Arthur Zamarin
2023-01-22 17:52 Arthur Zamarin
2022-11-30 17:59 Sebastian Pipping
2022-11-30 17:57 Sebastian Pipping
2021-08-10 14:18 Marek Szuba
2020-09-23 10:53 Miroslav Šulc
2020-09-23 10:29 Agostino Sarubbo
2020-09-04 21:28 Sam James
2020-08-11 19:11 Sergei Trofimovich
2020-08-11 14:23 Agostino Sarubbo
2020-08-10 13:52 Agostino Sarubbo
2020-08-10 10:22 Agostino Sarubbo
2020-08-09 12:32 Sergei Trofimovich
2020-08-08 8:14 Miroslav Šulc
2020-07-31 11:04 Miroslav Šulc
2017-06-30 6:02 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1670285748.b0ec1ed1cd039b7833070ceaae8fc227d5a3a26d.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox